コンテンツへスキップ

Grok Imagine Image · Edit

統合

モデルID xai/grok-imagine-image/edit
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/xai/grok-imagine-image/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: $0.022 22 APIクレジット このページで実行

APIキーを取得
xAI 画像編集 2kまで #grok#xai#image-editing

最大3枚の入力画像に対応するGrok画像編集。アスペクト比のデフォルトは最初の画像に合わせて設定

Doitongで作成

DoitongコミュニティがGrok Imagine Imageで作成した公開作品です。ワンクリックでプロンプトを再利用できます。

公開作品:16件
Art style: Professional portrait photography, cinematic lighting, realistic high detail. Арена, с...

Art style: Professional portrait photography, cinematic lighting, realistic high detail. Арена, свет софитов, на табло алые цифры 00:45. Трибуны полны и неподвижны. Медиум: Арина с чёрной повязкой на волосах держит сковороду правой рукой. Натан стоит за столом напротив, в его руке пинцет....

Art style: 3D Cartoon. Christopher Kolumbus. Ein wettergegerbter Navigator im mittleren Alter mit...

Art style: 3D Cartoon. Christopher Kolumbus. Ein wettergegerbter Navigator im mittleren Alter mit fokussierten bernsteinfarbenen Augen und vom Wind zerzaustem, dunklem Haar. Er trägt ein dunkles Wams aus Wolle mit Lederbesatz über einem Leinenhemd. Seine Haut ist von der Sonne gebräunt und zeigt...

Art style: 3D Cartoon. Columbus leaning in the middle ground. Columbus is leaning on deck in the ...

Art style: 3D Cartoon. Columbus leaning in the middle ground. Columbus is leaning on deck in the middle ground in the midground. Head in right profile. Eyes on water. Reaching down. Hopeful. Close-up at eye level, 9:16. Opening close-up, ending extreme close-up low angle. Key light side, cool...

Art style: 3D Cartoon. Sigmund sitting in the near foreground; Enkel crouching further back in th...

Art style: 3D Cartoon. Sigmund sitting in the near foreground; Enkel crouching further back in the frame. Distance across the rug. Sigmund is sitting on armchair in the near foreground in the midground. Torso in three-quarter turn to screen-right. Head in three-quarter turn to screen-right. Eyes...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, ador...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, adorable characters, family friendly. Майло. A tiny fluffy bright ginger-orange kitten with big expressive emerald-green eyes, a soft white chest, and four little white paws. He has a miniature pink nose...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, ador...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, adorable characters, family friendly. Барнаби. A plump chestnut-brown squirrel with an enormous fluffy tail, wearing a tiny carved acorn shell cap tilted slightly over one ear. He has sharp bright dark...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, ador...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, adorable characters, family friendly. Пип. A chubby, fluffy cream-and-caramel floppy-eared bunny wearing a small pastel blue fabric bow-tie around his neck. He has shiny round dark eyes, pink cheeks, and...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, ador...

Art style: Cute 3D animation, colorful Pixar-inspired style, bright lighting, soft textures, adorable characters, family friendly. Мама-птица и Птенчик. A tiny, round baby bluebird covered in soft pastel-blue downy feathers with gigantic blinking dark eyes and an open yellow beak, perched...

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須 88 / 8000

作成する画像のテキスト説明です。

resolution デフォルト 1k

標準(`1k`)または高解像度(`2k`)から選択する画像解像度です。

デフォルト auto

画像編集の出力アスペクト比設定。`auto`では最初の入力の比率を使用します。この自動設定がデフォルトです。

num_images デフォルト 1

生成する画像数。

詳細設定 images · output_format · enable_safety_checker
image_urls
ファイルをドロップ、または

編集する画像URLのリスト。最大3枚です。

output_format デフォルト jpeg

結果の画像のファイル形式。

POST /run/xai/grok-imagine-image/edit?wait=20 見積もり → $0.022
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/xai/grok-imagine-image/edit?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Grok Imagine Image · Editについて

最大8000文字のプロンプトで画像を編集し、`image_urls`に最大3つのURLを指定できます。`aspect_ratio`のデフォルトはautoで、最初の入力画像の比率を維持します。明示的な指定も可能です。解像度は1kまたは2kで、jpeg、png、webp形式の出力を最大4件生成できます。修正版プロンプトを返します。

パラメータ

正式名称またはネイティブ名のいずれか一方を送信してください。両方は送信しないでください。 正式名称

名前型 デフォルト許可される値 説明
prompt必須
型string
≤ 8,000文字
作成する画像のテキスト説明です。
num_images任意 num_outputs
型integer
デフォルト1
1 – 4
生成する画像数。
aspect_ratio任意
型enum
デフォルトauto
auto2:120:919.5:916:94:33:21:12:33:49:169:19.59:201:2
画像編集の出力アスペクト比設定。`auto`では最初の入力の比率を使用します。この自動設定がデフォルトです。
resolution任意
型enum
デフォルト1k
1k2k
標準(`1k`)または高解像度(`2k`)から選択する画像解像度です。
output_format任意
型enum
デフォルトjpeg
jpegpngwebp
結果の画像のファイル形式。
enable_safety_checker任意
型boolean
デフォルトtrue
呼び出し元に権限がある場合、false に設定するとスクリーニングを緩和できます。
image_urls任意 images
型url[] · image
編集する画像URLのリスト。最大3枚です。
必須 正式名称(こちらも使用可能)

ファイルパラメータには、公開されたhttps:// URL、10 MBまでのdata: URI、またはアップロードしたファイルのfile_urlを指定します。 ファイル

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "xai/grok-imagine-image/edit",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 22,
    "usd": "0.022",
    "charged": 22,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "revised_prompt": "string"
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
images
array of object {url, content_type, file_name, file_size, width, height}編集済み画像を指すURL。
revised_prompt
string | null画像生成に使用する強化されたプロンプトです。

その他のモデル: 画像編集

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/xai/grok-imagine-image/edit.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt